.relative {
  position: relative;
}

.absolute {
  position: absolute;
}

.offerBtn {
  transition: all .3s;
}

.offerBtn:hover {
  transform: translateY(5%);
}

.item06 {
  width: 93.3%;
  top: 41.5%;
  left: 5%;
}

.btn03 {
  width: 88.8%;
  top: 76.5%;
  left: 5.5%;
  -webkit-mask: url("./images/btn_03.png") no-repeat center center;
  mask: url("./images/btn_03.png") no-repeat center center;
  mask: url("./images/btn_03.webp") no-repeat center center;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.item07 {
  width: 75.9%;
  top: 52.5%;
  left: 14%;
}

.btn04 {
  width: 89.3%;
  top: 80%;
  left: 5.5%;
  -webkit-mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.webp") no-repeat center center;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.item08 {
  width: 84.4%;
  top: 55%;
  left: 11.5%;
}

.btn05 {
  width: 89.3%;
  height: 100%;
  top: 0%;
  left: 5.5%;
  -webkit-mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.webp") no-repeat center center;
  -webkit-mask-size: contain;
  mask-size: contain;
  z-index: 1;
}

.item09 {
  width: 50%;
  top: 55%;
  left: 19%;
}

.btn06 {
  width: 89.3%;
  height: 100%;
  top: 0%;
  left: 5.5%;
  -webkit-mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.png") no-repeat center center;
  mask: url("./images/btn_04.webp") no-repeat center center;
  -webkit-mask-size: contain;
  mask-size: contain;
  z-index: 1;
}

.btn07 {
  width: 89.3%;
  height: 100%;
  top: 0%;
  left: 5.5%;
}

.btn08 {
  width: 68%;
  height: 100%;
  top: 0%;
  left: 16%;
}

.linePoint {
  width: 100%;
  height: 100%;
  top: 0%;
  left: 0%;
}

.lineFriend {
  width: 100%;
  height: 100%;
  top: 0%;
  left: 0%;
}

/* 1. 閃光效果 S (Light/Flash Effect) */
.light {
  width: 100%;
  text-align: center;
  overflow: hidden;
  /* 保持 overflow: hidden 來隱藏移動到外部的閃光 */
  display: block;
  position: relative;
}

.light:after {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(left,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 0.7) 100%
      /* 稍微調亮顏色以便觀察 */
    );
  background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.7) 100%);
  animation: light-transform 3s infinite ease-in-out;
}

/* 將 keyframes 的 left 改為 transform */
@keyframes light-transform {
  0% {
    /* 結合 skewX 和 translateX */
    transform: skewX(-25deg) translateX(-300%);
  }

  70% {
    transform: skewX(-25deg) translateX(300%);
  }

  100% {
    transform: skewX(-25deg) translateX(300%);
  }
}

/* 閃光效果 E */

/* 3. 縮放效果 S (Scaling Effect) */
.ani-scale {
  animation: scale 1s infinite ease-in-out;
}

.ani-scale_2 {
  animation: scale 1s infinite ease-in-out;
  animation-delay: 0.5s;
}

.ani-scale_3 {
  animation: scale 1s infinite ease-in-out;
  animation-delay: 0.7s;

}

@keyframes scale {
  0% {
    transform: scale(1, 1);
  }

  50% {
    transform: scale(1.1, 1.1);
  }

  100% {
    transform: scale(1, 1);
  }
}

/* 縮放效果 E */
/* 彈跳視窗S */
.popBG {
  position: fixed;
  width: 100vw;
  height: 100vh;
  left: 0%;
  top: 0%;
  z-index: 1000;
  background-color: rgb(0, 0, 0, 0.7);
  transition: all 0.5s;
  opacity: 0;
  visibility: hidden;
  overflow-y: hidden;
}
.popContain {
  opacity: 0;
  visibility: hidden;
  overflow-y: hidden;
  display: none;
}
.popControl--active {
  opacity: 1;
  visibility: visible;
  overflow-y: scroll;
  display: block;
}

.popContainer {
  max-width: 1000px;
  width: 100%;
  /* 這裡回推高度要跟【js-xmark】的字體大小一致 且要【負數】 */
  margin: -3rem auto 0 auto;
}

.xmarkControl {
  position: sticky;
  top: 2%;
  cursor: pointer;
  border-radius: 5px;
}

.js-xmark {
  position: absolute;
  right: 2%;
  font-size: 3rem;
  padding: 0 0.5%;
  border-radius: 5px;
  background-color: #000;
  color: #fff;
  transition: all 0.3s;
}

.js-xmark:hover {
  background-color: #fff;
  color: #000;
  rotate: 180deg;
}

@media (max-width: 768px) {
  .popContainer {
    width: 90%;
    /* 這裡回推高度要跟【js-xmark】的字體大小一致 且要【負數】 */
    margin: -2.5rem auto 0 auto;
  }

  .js-xmark {
    font-size: 2.5rem;
    padding: 0 1%;
  }
}
.popContain > picture > img {
  margin: 0 auto;
  margin-top: 50px;
}
.popContain::-webkit-scrollbar {
  display: none;
}
/* 彈跳視窗E */
.offer16{
    cursor: pointer;
}